Architektura Staveniště

From FreeCAD Documentation
Revision as of 22:25, 9 February 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Arch Site

Umístění Menu
Arch → Site
Pracovní stoly
Arch
Výchozí zástupce
S I
Představen ve verzi
-
Viz také
Arch Floor, Arch Building

Popis

Staveniště je speciální typ skupinového objektu FreeCADu zvlášť vhodný pro zobrazení celého staveniště nebo terénu. Většinou se používá pro uspořádání modelu obsahujícího objekty Stavba

Použití

  1. Volitelně lze vybrat jeden nebo více objektů, které lze vložit do Vašeho nového staveniště
  2. Stiskněte tlačítko Staveniště nebo klávesy S a I

Volby

  • Po vytvoření staveniště můžete přidávat další objekty pomocí myši přetáhnutím a upuštěním (drag and drop) na požadované místo v panelu stromu nebo použitím nástroje Přidat
  • Odstranit objekty ze staveniště můžete podobně myší přetáhnutím a upuštěním objektu mimo panelu stromu nebo použitím nástroje Odebrat.

Properties

Data

  • ÚdajeTerrain: The base terrain of this site
  • ÚdajeAddress: The street and housenumber of this site
  • ÚdajePostal Code: The postal or zip code of this site
  • ÚdajeCity: The city of this site
  • ÚdajeCountry: The country of this site
  • ÚdajeLatitude: The latitude of this site
  • ÚdajeLongitude: The longitude of this site
  • ÚdajeUrl: An url that shows this site in a mapping website
  • ÚdajeProjected Area: The area of the projection of this object onto the XY plane
  • ÚdajePerimeter: The perimeter length of this terrain
  • ÚdajeAddition Volume: The volume of earth to be added to this terrain
  • ÚdajeSubtraction Volume: The volume of earth to be removed from this terrain
  • ÚdajeExtrusion Vector: An extrusion vector to use when performing boolean operations
  • ÚdajeRemove Splitter: Remove splitters from the resulting shape
  • ÚdajeNorth Deviation: The angle between the true North and the north direction in this document

View

  • PohledSolar Diagram: Shows or hides the solar diagram
  • PohledSolar Diagram Color: The color of the solar diagram
  • PohledSolar Diagram Position: The position of the solar diagram
  • PohledSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part → Create Shape from Mesh. Then, create a Site object, and set its ÚdajeTerrain property to the Part we just created:

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, ÚdajeLongitude, ÚdajeLatitude and ÚdajeNorthDeviation properties must be correctly set, and PohledSolarDiagram view property turned on. introduced in version 0.17

Skriptování

Nástroj Staveniště může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Site = makeSite(objectslist=None, baseobj=None, name="Site")

vytvoří staveniště včetně objektů ze seznamu objectslist

Příklad:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()

Solar diagram

FreeCAD can add a solar diagram to the active document if the Pysolar (or pysolar?) module is available. This module only works with Python3.

A solar diagram can be created with the following function

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)